<?

 /*************************************************************************************
 * Filename: modules/files.php
 *
 * This file is part of the ITS JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The ITS JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/its/
 *************************************************************************************/


 require_once($_path["include"]."module.php");
 require_once($_path["project"]["plugins"]."its/modules/updates.php");

 class Plugin_Module_its_files extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="ITS files";
   $this->data->addField("name", "text", "all", "title", 1, 255, false, "Name");
   $this->data->addField("file", "file", "all", "", 10, 1024*1024*10, false, "File");

   $this->data->defaultFields();

   $this->data->addField("issuenr", "nr", "show;sql", "", 1, false, 0);
   $this->data->addReference("issue", "its_issues", "nr", "*:1", "issuenr");

   $this->data->sortOrder("updated");
  }

  function addPreSubmitErrorCheck(){return $this->checkValues();}
  function copyPreSubmitErrorCheck(){return $this->checkValues();}
  function editPreSubmitErrorCheck(){return $this->checkValues();}

  function checkValues()
  {
   //set filename to empty name fields
   for($c=0;$c<$this->data->vmax;$c++)
    if(!$this->data->getValue("name", $c))
     $this->data->setValue("name", $this->data->getValue("file", $c), $c);
  
   return true;
  }

  function addPostSubmit(){return $this->addUpdate();}
  function copyPostSubmit(){return $this->addUpdate();}
  function editPostSubmit(){return $this->addUpdate();}
  function deletePreSubmit(){$this->addUpdate(); return true;}

  function addUpdate()
  {
   if($this->data->action=="delete") //get name+issuenr when deleting file
   {
    $this->data->setShowFields("name", "issuenr");

    if(!$this->data->get())
     return false;
   }

   for($c=0;$c<$this->data->vmax;$c++)
   {
    $text="File ";
    if($this->data->action=="add"||$this->data->action=="copy")
     $text.="added";
    else if($this->data->action=="edit")
     $text.="updated";
    else if($this->data->action=="delete")
     $text.="deleted";

    if($this->data->action=="delete")
     $text.=": ".$this->data->getValue("name", $c);
    else if(strstr($this->data->getValue("fileType", $c), "image/")) //image
     $text.=": [file=".$this->data->getValue("nr", $c)." module=its_files title=\"".$this->data->getValue("file", $c)."\"]".$this->data->getValue("name", $c)."
[image=".$this->data->getValue("nr", $c)." module=its_files width=300 title=\"".$this->data->getValue("file", $c)."\"][file]";
    else //normal file
     $text.=": [file=".$this->data->getValue("nr", $c)." module=its_files title=\"".$this->data->getValue("file", $c)."\"]".$this->data->getValue("name", $c)."[file]";

    if(!Plugin_Module_its_updates::add($this->data->getValue("issuenr", $c), $text))
    {
     $this->data->e->add("Unable to add issue update", "error");
     return false;
    }
   }

   return true;
  }
 }
?>
