<?

 /*************************************************************************************
 * Filename: modules/pluginInfo.php
 *
 * This file is part of the ITS JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The ITS JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/its/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_its_pluginInfo extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title="ITS plugin information";

   $this->data->addField("templateitem", "localfile", "all", false, 1, 255, "item.html", "Item template");
   $this->data->addField("templatelist", "localfile", "all", false, 1, 255, "list.html", "List template");
   $this->data->addField("templateemail", "localfile", "all", false, 1, 255, "email.html", "Email template");
   $this->data->addField("templatelatestissues", "localfile", "all", false, 1, 255, "latestissues.html", "Latest issues template");
   $this->data->addField("templatelatestupdates", "localfile", "all", false, 1, 255, "latestupdates.html", "Latest updates template");
   $this->data->addField("templatecloud", "localfile", "all", false, 1, 255, "cloud.html", "Tag cloud template");
   $this->data->addField("templatepagebrowser", "localfile", "all", false, 1, 255, "pagebrowser.html", "Page browser template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templateitem", $_path["project"]["plugins"]."its/templates/");
   $this->data->setFileExtensions("templateitem", "html", "htm");

   $this->data->setFileDir("templatelist", $_path["project"]["plugins"]."its/templates/");
   $this->data->setFileExtensions("templatelist", "html", "htm");

   $this->data->setFileDir("templateemail", $_path["project"]["plugins"]."its/templates/");
   $this->data->setFileExtensions("templateemail", "html", "htm");

   $this->data->setFileDir("templatelatestissues", $_path["project"]["plugins"]."its/templates/");
   $this->data->setFileExtensions("templatelatestissues", "html", "htm");

   $this->data->setFileDir("templatelatestupdates", $_path["project"]["plugins"]."its/templates/");
   $this->data->setFileExtensions("templatelatestupdates", "html", "htm");

   $this->data->setFileDir("templatecloud", $_path["project"]["plugins"]."its/templates/");
   $this->data->setFileExtensions("templatecloud", "html", "htm");

   $this->data->setFileDir("templatepagebrowser", $_path["project"]["plugins"]."its/templates/");
   $this->data->setFileExtensions("templatepagebrowser", "html", "htm");

   return true;
  }
 }
?>
